View Issue Details

IDProjectCategoryView StatusLast Update
0016444mantisbtapi soappublic2015-01-14 03:32
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016444: Remove nusoap in favor of native php soap extension
Description

In 1.2.x releases we have deprecated the usage of nusoap in favor of using the PHP SOAP extension due to speed, memory, and some encoding issues. In 1.3 release, we should drop the dependency on nusoap completely.

TagsNo tags attached.

Relationships

related to 0014088 closedvboctor Mantis 1.3.0 blocking issues 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master cab9261d

2013-10-03 14:46:32

vboctor

Details Diff
Fixes 0016444: Remove nusoap from 1.3 release

In 1.2.x releases we have deprecated the usage of nusoap in favor of using the
PHP SOAP extension due to speed, memory, and some encoding issues.
In 1.3 release, we should drop the dependency on nusoap completely.

This change includes the following:
- Removal of the library.
- Removed all references to it.
- Added a check section for webservice to make sure that the extension is enabled and nusoap folder doesn't exist.
- Added a check in mantisconnect.php to exit with an error message if the php extension doesn't exist.
add - admin/check/check_webservice_inc.php Diff File
mod - admin/check/index.php Diff File
mod - api/soap/mantisconnect.php Diff File
mod - api/soap/mc_api.php Diff File
mod - api/soap/mc_config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/Configuration.xml Diff File
mod - library/README.libs Diff File
rm - library/nusoap/0001-Fix-12312-NuSOAP-web-description-XSS-vulnerability.patch Diff File
rm - library/nusoap/changelog Diff File
rm - library/nusoap/class.nusoap_base.php Diff File
rm - library/nusoap/class.soap_fault.php Diff File
rm - library/nusoap/class.soap_parser.php Diff File
rm - library/nusoap/class.soap_server.php Diff File
rm - library/nusoap/class.soap_transport_http.php Diff File
rm - library/nusoap/class.soap_val.php Diff File
rm - library/nusoap/class.soapclient.php Diff File
rm - library/nusoap/class.wsdl.php Diff File
rm - library/nusoap/class.wsdlcache.php Diff File
rm - library/nusoap/class.xmlschema.php Diff File
rm - library/nusoap/index.html Diff File
rm - library/nusoap/nusoap.php Diff File
rm - library/nusoap/nusoapmime.php Diff File
rm - library/nusoap/readme_mantis.txt Diff File
mod - tests/soap/IssueAddTest.php Diff File

Issue History

Date Modified Username Field Change
2013-10-02 20:35 vboctor New Issue
2013-10-02 20:38 vboctor Relationship added related to 0014088
2013-10-03 07:15 rombert Status new => confirmed
2013-10-03 13:42 vboctor Assigned To => vboctor
2013-10-03 13:42 vboctor Status confirmed => assigned
2013-10-03 14:49 vboctor Changeset attached => MantisBT master cab9261d
2013-10-03 14:49 vboctor Status assigned => resolved
2013-10-03 14:49 vboctor Resolution open => fixed
2013-10-03 14:49 vboctor Fixed in Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed
2015-01-14 03:32 vboctor Summary Remove nusoap from 1.3 release => Remove nusoap in favor of native php soap extension